Page MenuHomePhabricator

Translation dashboard list shows title only for the source article
Closed, ResolvedPublic

Description

As per the designs, both source and target article titles (only when they are different!) are to be displayed. That is:

  • If source and target title are different, show both titles: "<source title> <target title>"
  • If source and target titles are exactly the same, show only one: "<source title>".

Note in the designs how "Parrot" ("Loro" in Spanish) and ("Mies van der Rohe") are displayed in the designs:

https://www.mediawiki.org/w/index.php?title=File:Content-translation-designs.pdf&page=37

Presently, only the source article title is being displayed on the dashboard in all cases.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
DuplicateNone
OpenNone
ResolvedAmire80
OpenNone
OpenNone
OpenNone
Resolvedsanthosh
Declinedleila
Resolvedsanthosh
ResolvedAmire80
ResolvedNikerabbit
Resolvedsanthosh
Resolvedsanthosh
Resolvedsanthosh
Resolvedsanthosh
OpenNone
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
OpenNone
Resolvedsanthosh
Resolvedsanthosh
ResolvedKartikMistry
Resolvedsanthosh
ResolvedKartikMistry
ResolvedArrbee
Resolvedsanthosh
DuplicateNone
Resolvedsanthosh
ResolvedAmire80
Duplicatesanthosh
DuplicateNone
OpenNone
ResolvedKartikMistry
Resolvedsanthosh
Resolvedsanthosh
OpenNone
Resolvedsanthosh
OpenNone
Resolvedsanthosh
ResolvedKartikMistry
ResolvedKartikMistry
OpenNone
ResolvedAmire80
OpenNone
ResolvedPginer-WMF
DuplicateEtonkovidova
OpenNone
ResolvedPetar.petkovic
OpenNone
ResolvedPetar.petkovic
Resolvedsanthosh
OpenNone
ResolvedPginer-WMF
DuplicateEtonkovidova
OpenNone
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedPetar.petkovic
OpenNone
ResolvedPginer-WMF
DeclinedNone
ResolvedPginer-WMF
OpenNone
Resolvedsanthosh
OpenNone
OpenNone
DuplicateNone
OpenNone

Event Timeline

Arrbee created this task.Jan 7 2015, 4:23 PM
Arrbee raised the priority of this task from to Needs Triage.
Arrbee updated the task description. (Show Details)
Amire80 triaged this task as Normal priority.Jan 15 2015, 10:23 AM
Amire80 added a project: good first bug.
Amire80 set Security to None.
Arrbee raised the priority of this task from Normal to High.Feb 2 2015, 8:17 AM
Arrbee moved this task from Needs Triage to Long term on the ContentTranslation board.
Arrbee lowered the priority of this task from High to Normal.Feb 2 2015, 9:31 AM
Arrbee added a subscriber: Arrbee.
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:06 AM

The dashboard was completely redesigned (T88344), but we should still consider showing target article title.

@Pginer-WMF, what do you think, is it still relevant? I think it is.

Amire80 lowered the priority of this task from Normal to Low.Jul 2 2015, 1:47 PM
Amire80 moved this task from Backlog to Bugs on the ContentTranslation-Release6 board.

@Pginer-WMF, what do you think, is it still relevant?

Yes but let me clarify in the ticket that both title should be show only when they are different. That is "Cheese Formaggio" but only "Nikola Tesla" (instead of "Nikola Tesla Nikola Tesla").

@Pginer-WMF, what do you think, is it still relevant?

Yes but let me clarify in the ticket that both title should be show only when they are different. That is "Cheese Formaggio" but only "Nikola Tesla" (instead of "Nikola Tesla Nikola Tesla").

Cool, that's what I thought, too.

Pginer-WMF updated the task description. (Show Details)Jul 2 2015, 2:24 PM
Pginer-WMF updated the task description. (Show Details)

Change 222306 had a related patch set uploaded (by Amire80):
Show the target title in the dashboard if it's different from the source

https://gerrit.wikimedia.org/r/222306

Amire80 claimed this task.Jul 2 2015, 2:43 PM
Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:32 PM

Change 222306 merged by jenkins-bot:
Show the target title in the dashboard if it's different from the source

https://gerrit.wikimedia.org/r/222306

Amire80 closed this task as Resolved.Jul 2 2015, 8:52 PM
Amire80 removed a project: Patch-For-Review.